Summary:	Graphical tool to access EXIF extensions in JPEG files
Name:		gexif
Version:	0.5
Release:	10mdk
License:	GPL
Group:		Graphics

Source:		http://belnet.dl.sourceforge.net/sourceforge/libexif/gexif-0.5.tar.bz2

Url:		http://sourceforge.net/projects/libexif
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	popt
BuildRequires:	libexif-devel libexif-gtk-devel popt-devel pkgconfig libgtk+2.0-devel

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This package contains a graphical frontend for the EXIF library.

%prep
%setup -q

# Make gexif compile with GTK 2.4.x or newer
perl -n -i -e '/^\s*-DGTK_DISABLE_DEPRECATED\b.*$/ || print $_' gexif/Makefile*

%build
#configure2_5x
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/%{name}
?package(gexif):command="%{_bindir}/%{name}" \
title="GEXIF" \
longtitle="View and edit the info which digital cameras add to your photos" \
needs="x11" \
section="Multimedia/Graphics" \
icon="graphics_section.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_menudir}/%{name}

%changelog
* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.5-10mdk
- Rebuild

* Wed Mar 16 2005 Till Kamppeter <till@mandrakesoft.com> 0.5-9mdk
- Shorter menu entry.

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.5-8mdk
- Rebuilt for libexif12-0.6.11 and libexif-gtk5-0.3.5.

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.5-7mdk
- Fix menu (icons)

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5-6mdk
- fix deps

* Tue Sep  2 2003 Till Kamppeter <till@mandrakesoft.com> 0.5-5mdk
- Corrected BuildRequires: no major numbers for libraries (needed to build 
  on 64-bit systems).

* Sun Jul 27 2003 Till Kamppeter <till@mandrakesoft.com> 0.5-4mdk
- Rebuilt for libexif 0.5.10.

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5-3mdk
- even more buildrequires
- convert xpm icons to png icons and actually use them
- macroize a little more
- fix ownership of dirs

* Thu Jul 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5-2mdk
- buildrequires
- rm -rf $RPM_BUILD_ROOT in %%install
- macroize

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 0.5-1mdk
- Updated to version 0.5.

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk
- Updated to version 0.4.

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 0.3-3mdk
- Fixed typo in menu.

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 0.3-2mdk
- Corrected group.

* Fri Jul 19 2002 Till Kamppeter <till@mandrakesoft.com> 0.3-1mdk
- Initial release
